Bug 1086224 - (CVE-2014-2830) CVE-2014-2830 cifs-utils: stack-based buffer overflow flaw in pam_cifscreds
CVE-2014-2830 cifs-utils: stack-based buffer overflow flaw in pam_cifscreds
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140408,repor...
: Security
Depends On: 1086226
Blocks: 1086230
  Show dependency treegraph
 
Reported: 2014-04-10 08:04 EDT by Murray McAllister
Modified: 2015-01-23 03:46 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 10:33:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-04-10 08:04:56 EDT
Sebastian Krahmer discovered a stack-based buffer overflow flaw in cifskey.c, which is used by pam_cifscreds.

A patch is available from the following: https://bugzilla.novell.com/show_bug.cgi?id=870168

References:
http://seclists.org/oss-sec/2014/q2/66
Comment 1 Murray McAllister 2014-04-10 08:06:09 EDT
Created cifs-utils tracking bugs for this issue:

Affects: fedora-all [bug 1086226]
Comment 6 Murray McAllister 2014-04-11 06:28:02 EDT
MITRE assigned CVE-2014-2830 to this issue:

http://seclists.org/oss-sec/2014/q2/96
Comment 7 Jeff Layton 2014-04-16 08:58:14 EDT
Ok, I merged Sebastian's patch (with a small modification).

I've proposed a couple of other patches to help fix up the error handling, including the case where the buffer would have been overrun. Assuming no one objects, I'll merge them in the next few days and we can get this package built for f20:

http://article.gmane.org/gmane.linux.kernel.cifs/9564
http://article.gmane.org/gmane.linux.kernel.cifs/9563

Note You need to log in before you can comment on or make changes to this bug.